[PATCH yocto-autobuilder-helper 4/6] scripts: run-docs-build: use set_versions.py and switchers.js.in from master


Quentin Schulz
 

From: Quentin Schulz <quentin.schulz@...>

set_versions.py and switchers.js.in need to be up-to-date so that a
consistent behavior is kept between different branches and tags of the
documentation.

Right now, kirkstone branch is lagging behind master and therefore does
not have the latest changes from master (e.g. the new obsolete
algorithm, which obviously isn't an issue right now, but will be in two
years). Using master version for those scripts also lightens the
maintenance burden.

Cc: Quentin Schulz <foss+yocto@...>
Signed-off-by: Quentin Schulz <quentin.schulz@...>
---
scripts/run-docs-build | 4 +---
1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/scripts/run-docs-build b/scripts/run-docs-build
index a060a31..8044b60 100755
--- a/scripts/run-docs-build
+++ b/scripts/run-docs-build
@@ -102,11 +102,9 @@ for branch in dunfell $(git branch --remote --contains "$first_sphinx_commit" --
git am "${scriptdir}/docs-build-patches/${branch}/"000*
fi

- git checkout master releases.rst
+ git checkout master releases.rst sphinx-static/switchers.js.in set_versions.py
if [ -e poky.yaml ]; then
- git checkout master sphinx-static/switchers.js.in
cp poky.yaml poky.yaml.in
- git checkout master set_versions.py
case $branch in
yocto-*)
./set_versions.py $(echo "$branch" | sed 's/yocto-//')
--
2.35.1

Join yocto@lists.yoctoproject.org to automatically receive all group messages.